Page MenuHomePhabricator

[OpenMP] Implement task modifier for reduction clause
ClosedPublic

Authored by jlpeyton on Apr 22 2019, 12:00 PM.

Details

Summary

Implemented task modifier in two versions - one without taking into account
omp_orig variable (the omp_orig still can be processed by compiler without help
of the library, but each reduction object will need separate initializer with
global access to omp_orig), another with omp_orig variable included into
interface (single initializer can be used for multiple reduction objects of
the same type). Second version can be used when the omp_orig is not globally
accessible, or to optimize code in case of multiple reduction objects
of the same type.

Patch by Andrey Churbanov

Diff Detail

Repository
rL LLVM

Event Timeline

jlpeyton created this revision.Apr 22 2019, 12:00 PM
hbae added a comment.Apr 24 2019, 2:19 PM

Just a few typos in the comment.

runtime/src/kmp_tasking.cpp
2043 ↗(On Diff #196110)

set us by -> set up by

2049 ↗(On Diff #196110)

paramemter -> parameter

2066 ↗(On Diff #196110)

paramemters -> parameters

2072 ↗(On Diff #196110)

set us by -> set up by

2081 ↗(On Diff #196110)

paramemters -> parameters

2164 ↗(On Diff #196110)

note than -> note that

jlpeyton updated this revision to Diff 197398.Apr 30 2019, 12:02 PM

Fixed spelling errors

hbae accepted this revision.Apr 30 2019, 1:27 PM

LGTM.

This revision is now accepted and ready to land.Apr 30 2019, 1:27 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 1 2019, 10:51 AM